/* RESET */
*,
*::before,
*::after {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
    font-family: "Inter", sans-serif;
    color: #1c1c1c;
    background: #FFFFFF;
    line-height: 1.6;
    font-family: " Poppins", sans-serif;
}

/* CONTAINER */
.header,
.hero {
    width: 100%;
    padding: 0;
    margin: 0 auto;
    padding: 24px 48px;
}

/* HEADER */
#header {
    height: 90px;
    background: #FFFFFF;
}

.nav {
    display: flex;
    align-items: center;
    justify-content: flex-start;
}

.logo {
    font-size: 19px;
    font-weight: 600;
    color: #1B1A1A;
    text-decoration: none;
    padding-left: 5%;
}

.nav-list {
    display: flex;
    gap: 32px;
    list-style: none;
    margin-left: auto;
}

.nav-list a {
    text-decoration: none;
    color: #1B1A1A;
    font-size: 15px;
    letter-spacing: 1px;
    transition: color 0.4s cubic-bezier(0.4, 0, 0.2, 1);
}

.nav-list a:hover {
    color: #645C55;
}

.nav-cta {
    padding: 10px 22px;
    background: #1B1A1A;
    color: #ffffff;
    border-radius: 12px;
    text-decoration: none;
    font-size: 16px;
    letter-spacing: 1px;
    margin-left: 3%;
    margin-right: 5%;

    transition:
        transform 0.55s ease,
        background-color 0.55 ease,
        box-shadow 0.55s ease;
}

.nav-cta:hover {
    background-color:#1b1a1ab4 ;
    transform: translateY(-3px);
    box-shadow: 0px 6px 15px rgba(0, 0, 0, 0.25);
}

.nav-cta:active {
    transform: translateY(-1px);
}



/* HERO */
.hero {
    display: grid;
    grid-template-columns: 1fr 1.2fr;
    min-height: 80vh;
    padding: 0;
    font-family: "Poppins", sans-serif;
}

.hero-content {
    background: #ECE7E4;
    padding: 50px 77px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 10px;
}

.hero-content p:first-child {
    margin-top: 0;
    letter-spacing: 2px;
    color: #645C55;
    text-transform: uppercase;
    font-size: 14px;
}

.hero-content h1 {
    margin-top: 0;
    font-size: 64px;
    font-weight: 400;
    color: #1B1A1A;
    line-height: 1.1;
    max-width: 500px;
    padding-top: 25px;
    padding-bottom: 20px;
}

.hero-content p:last-of-type {
    font-size: 16px;
    color: #403E3B;
    max-width: 480px;
}

.btn {
    display: inline-block;
    text-align: center;
    margin-top: 24px;
    padding: 8px 10px;
    width: 143px;
    height: 46px;

    text-decoration: none;
    font-size: 16px;
    color: #1B1A1A;

    border: 3px solid #1B1A1A;
    border-radius: 12px;
    background-color: transparent;

    transition:
        background-color 0.4s ease,
        color 0.4s ease;;
}

.btn:hover {
    background-color: #1B1A1A;
    color: #ECE7E4;
}




/* HERO IMAGE*/
.hero img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}


/* ABOUT US SECTION */
.about_us {
    display: grid;
    grid-template-columns: 1fr 2fr;
    min-height: 80vh;
    font-family: "Poppins", sans-serif;
    align-items: start;
    padding: 80px 10%;
}


.our_firm {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
}

.our_firm h2 {
    font-size: 32px;
    font-weight: 400;
    color: #403E3B;
    margin-left: 80px;
    gap: 10px;
}

.description {
    max-width: 500px;
    font-size: 16px;
    color: #403E3B;

}

.description p {
    margin-bottom: 20px;
}

/* PERSON BLOCK*/
.person {
    display: flex;
    align-items: center;
    gap: 30px;
    margin-top: 30px;
}

.person img {
    width: 84px;
    height: auto;
    display: block;
}

.person-info p {
    margin: 0;
    line-height: 1.3;
}

.person-info p:first-child {
    font-size: 17px;
    font-weight: 400;
    color: #1B1A1A;
}

.person-info p:last-child {
    font-size: 14px;
    font-weight: 400;
    color: #645C55;
}


 /* REEDING HOUSE SECTION */
 #reeding_house {
    background: url('../images/Reeding-House.jpg') no-repeat center center/cover;
    height: 80vh;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    padding: 0;
    margin: 0;
 }

 .house p {
    font-family: "Poppins", sans-serif;
    display: flex;
    justify-content: flex-start;
    align-items:center;
    max-width: 400px;
    margin-right: 100px;
 }

 .house p:first-child {
    font-size: 16px;
    color: #403E3B;
    margin-bottom: 8px;
    text-transform: uppercase;
    letter-spacing: 2px;
 }

 .house p:last-child {
    font-size: 16px;
    color: #645C55;
    line-height: 1.5;
    letter-spacing: 1px;
 }


 /*PROCESS SECTION*/
.process {
    min-height: 80vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 0;
    margin: 0;
}

.our_process {
    font-family: "Poppins", sans-serif;
    text-align: center;
    margin-bottom: 40px;
}

.our_process p {
    font-size: 14px;
    font-weight: 400;
    color: #645C55;
    margin-bottom: 10px;
    text-transform: uppercase;
    letter-spacing: 2px;
}

.our_process h2 {
    font-size: 39px;
    font-weight: 400;
    color: #1B1A1A;
    letter-spacing: 1px;
    margin-bottom: 15px;
}

/* STEPS  */

.steps {
    max-width: 1000px;
    display: flex;
    gap: 100px;
    justify-content:space-between;
    align-items: center;
    margin-bottom: 50px;
}

.step {
    font-family: "Poppins", sans-serif;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.step img {
    width: 117px;
    height: auto;
    display: block;
    margin-bottom: 15px;
}

.step h3 {
    font-size: 17px;
    font-weight: 400;
    color: #403E3B;
    margin-bottom: 10px;
    letter-spacing: 0.5px;
}

.step p {
    font-size: 16px;
    font-weight: 400;
    color: #645C55;
    text-align: center;
}


/*  MARBLE STAIRCASE SECTION  */
#marble_staircase {
    background: url('../images/The-marble-staircase.jpg') no-repeat center center/cover;
    width: 100%;
    height: 80vh;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    padding: 0;
    margin: 0;
 }

 .staircase p {
    font-family: "Poppins", sans-serif;
    display: flex;
    justify-content: flex-start;
    align-items:center;
    max-width: 400px;
    margin-right: 100px;
 }

 .staircase p:first-child {
    font-size: 14px;
    color: #403E3B;
    margin-bottom: 8px;
    text-transform: uppercase;
    letter-spacing: 2px;
 }

 .staircase p:last-child {
    font-size: 16px;
    font-weight: 400;
    color: #645C55;
    line-height: 1.5;
    letter-spacing: 1px;
 }

 /* PRIOR CLIENTS SECTION */
 #prior_clients {
    background: #403E3B;
    display: grid;
    grid-template-columns: 1fr 1.2fr;
    min-height: 50vh;
    padding: 0;
    font-family: "Poppins", sans-serif;
 }

/* HAPPY CUSTOMERS */
 .happy_customers {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items:flex-start;
    padding: 0;
    margin: auto;
    max-width: 400px;
    font-family: "Poppins", sans-serif;
 }

 .happy_customers h3 {
    font-size: 14px;
    font-weight: 400;
    color: #ECE7E4;
    margin-bottom: 2px;
    text-transform: uppercase;
    letter-spacing: 2px;
 }

 .happy_customers h2 {
    font-size: 32px;
    font-weight: 400;
    color: #FFFFFF;
    letter-spacing: 1px;
    margin-bottom: 12px;
 }

 .happy_customers p {
    font-size: 15px;
    font-weight: 400;
    color: #ECE7E4;
    line-height: 1.5;
    letter-spacing: 1px;
 }

 /* CLIENTS LOGOS */
 .clients_logos {
    display: grid;
    grid-template-columns: repeat(2, 128px);
    grid-template-rows: 80px;
    gap: 80px 120px;
    width: max-content;
    margin-left: 40px;
    margin-right: auto;
    align-self: center;
    align-items: center;
 }

 .clients_logos img {
    width: 128px;
    height: auto;
    display: block;
 }

 /* SWIRLING STAIRCASE SECTION */
 #swirling_staircase {
    background: url('../images/The-swirling-staircase.jpg') no-repeat center center/cover;
    height: 80vh;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    padding: 0;
    margin: 0;
 }

 .swirling p {
    font-family: "Poppins", sans-serif;
    display: flex;
    justify-content:flex-start;
    align-items:center;
    max-width: 400px;
    margin-left: 100px;
 }

 .swirling p:first-child {
    font-size: 14px;
    color: #403E3B;
    margin-bottom: 8px;
    text-transform: uppercase;
    letter-spacing: 2px;
 }

 .swirling p:last-child {
    font-size: 16px;
    font-weight: 400;
    color: #645C55;
    line-height: 1.5;
    letter-spacing: 1px;
 }


 /*FEATURED PROJECTS SECTION*/
.featured_projects {
    min-height: 80vh;
    font-family: "Poppins", sans-serif;
    margin: 60px 100px;
    margin-top: 150px;
 }

 .featured_container {
    max-width: 1168px;
    margin: 0 auto;
 }

.projects-header {
    max-width: 500px;
    margin-bottom: 40px;
}

.projects-header h2 {
    font-size: 39px;
    font-weight: 400;
    color:#1B1A1A;
    margin-bottom: 15px;
}

.projects-header p {
    font-size: 24px;
    color: #645C55;
    line-height: 1.5;
}

.projects_grid {
    display: flex;
    gap: 30px;
    margin-bottom: 30px;
}

.project-card {
    width: 375px;
    height: 456px;
    position: relative;
}

.projects_grid img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

/* TEXT OVERLAY */
.project-info--top {
    position: absolute;
    top: 30px;
    left: 30px;
}

.project-info--bottom {
    position: absolute;
    bottom: 30px;
    left: 30px;
}

.project-info .location {
    font-size: 14px;
    text-transform: uppercase;
    letter-spacing: 2px;
    color: #645C55;
}

.project-info h3 {
    font-size: 23px;
    color: #403E3B;
    font-weight: 400;
    margin: 1px 0 12px;
}

.project-info a {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;

    width: 133px;
    height: 46px;
    background: #1B1A1A;
    color: #FFFFFF;
    font-size: 16px;
    padding: 10px 20px;
    border-radius: 14px;

    transition:
        transform 0.55s ease,
        background-color 0.55 ease,
        box-shadow 0.55s ease;
}

.project-info a:hover {
    background-color:#1b1a1ab4 ;
    transform: translateY(-3px);
    box-shadow: 0px 6px 15px rgba(0, 0, 0, 0.25);
}

.project-info a:active {
    transform: translateY(-1px);
}

.view_all_projects {
    width: 173px;
    height: 46px;
    margin-bottom: 60px;

    display: flex;
    align-items: center;
    justify-content: center;

    margin: 0 auto;
    font-size: 16px;
    font-weight: 400;
    color: #1B1A1A;
    text-decoration: none;

    border: 3px solid #1B1A1A;
    border-radius: 12px;
    background-color: transparent;

    transition:
        background-color 0.4s ease,
        color 0.4s ease;
}


.view_all_projects:hover {
    background-color: #1B1A1A;
    color: #ECE7E4;
}

/* OUR TEAM SECTION  */
.our_team {
    font-family: "Poppins", sans-serif;
    min-height: 75vh;
    background: #F7F7F7;

    display: flex;
    align-items: center;
    padding: 0 10%;
}

.team_block {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap:60px;
    max-width: 1168px;
    margin: 0 auto;
    align-items: start;
}


.meet {
    max-width: 400px;
}

.meet h2 {
    font-size: 32px;
    font-weight: 400;
    letter-spacing: 1px;
    color: #403E3B;
    margin-bottom: 20px;
}

.meet p {
    font-size: 15px;
    font-weight: 400;
    letter-spacing: 1px;
    line-height: 1.5;
    color: #645C55;
    margin-bottom: 30px;
}

.meet a {
    width: 173px;
    height: 46px;

    display: flex;
    align-items: center;
    justify-content: center;

    margin: 0;
    font-size: 16px;
    font-weight: 400;
    color: #1B1A1A;
    text-decoration: none;

    border: 3px solid #1B1A1A;
    border-radius: 12px;
    background-color: transparent;

    transition:
        background-color 0.4s ease,
        color 0.4s ease;
}

.meet a:hover {
    background-color: #1B1A1A;
    color: #ECE7E4;
}

.team_pictures {
    display: flex;
    flex-direction: column;
    gap: 32px;
}

.team_member {
    display: flex;
    align-items: center;
    gap: 20px;
}

.team_member img {
    width: 84px;
    height: auto;
}

.team_member p:first-child {
    font-size: 17px;
    font-weight: 400;
    line-height: 0.7;
    color: #1B1A1A;
}

.team_member p:last-child {
    font-size: 14px;
    font-weight: 400;
    color: #645C55;
}


/* GET IN TOUCH SECTION */

#touch {
    font-family: "Poppins", sans-serif;
    min-height: 40vh;
    background: #CEC4BC;

    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 10%;
}

.touch_block h2 {
    font-size: 14px;
    font-weight: 400;
    letter-spacing: 2px;
    color: #645C55;
    text-transform: uppercase;
    line-height: 1;
}

.touch_block p {
    font-size: 40px;
    font-weight: 400;
    color: #1B1A1A;
    line-height: 1.1;
    max-width: 600px;
}

.touch_button a {
    width: 173px;
    height: 46px;

    display: flex;
    align-items: center;
    justify-content: center;

    margin: 0;
    font-size: 16px;
    font-weight: 400;
    color: #1B1A1A;
    text-decoration: none;

    border: 3px solid #1B1A1A;
    border-radius: 12px;
    background-color: transparent;

    transition:
        background-color 0.4s ease,
        color 0.4s ease;
}

.touch_button a:hover {
    background-color: #1B1A1A;
    color: #ECE7E4;
}



/* FOOTER */
footer {
    font-family: "Poppins", sans-serif;
    min-height: 20vh;
    background: #F7F7F7;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 10%;
}

.logo h2 {
    font-size: 22px;
    font-weight: 600;
    color: #1B1A1A;
    line-height: 2;
}

.logo p {
    font-size: 14px;
    font-weight: 400;
    color: #645C55;
}

.social_media img {
    width: 24px;
    height: 24px;
    margin-right: 20px;
}


.social_media img:hover {
    transform: translateY(-3px);
}
